class CreateOrders < ActiveRecord::Migration[5.1]
  def change
    create_table :orders, :id => false do |t|
      t.string :order_id, :limit => 16, :primary_key => true #custom foreign_key to prevent conflict during sync
      t.datetime :date, :null => false
      t.string :source, :null => false, :default => "emenu"
      t.string :order_type, :null => false, :default => "dine-in"
      t.string :customer_id, foreign_key: true, :limit => 16
      t.integer :item_count, :null => false, :default => 0
      t.integer :quantity_count, :null => false, :default => 0
      t.string :status, :null => false, :default => "new"
      t.json :waiters
      t.json :guest_info

      t.timestamps
    end
  end
end
